# Molecule managed

Vagrant.configure('2') do |config|
  if Vagrant.has_plugin?('vagrant-cachier')
    
    config.cache.scope = 'machine'
    
  end


  config.vm.define "instance" do |c|
    ##
    # Box definition
    ##
    c.vm.box = "generic/centos8"
    
    
    
    

    ##
    # Config options
    ##
    
    c.vm.synced_folder ".", "/vagrant", disabled: true
    

    
    
    
   # c.ssh.insert_key = true
   ssh_pub_key = File.readlines("#{Dir.home}/.ssh/id_rsa.pub").first.strip
   config.vm.provision 'shell', inline: "mkdir /root/.ssh;echo #{ssh_pub_key} >> /root/.ssh/authorized_keys", privileged: true
    

    c.vm.hostname = "instance"

    ##
    # Network
    ##

    c.vm.network "private_network", ip: "192.168.58.3"


    ##
    # instance_raw_config_args
    ##


    ##
    # Provider
    ##
    c.vm.provider "virtualbox" do |virtualbox, override|

      virtualbox.memory = 4096
      virtualbox.cpus = 2










      virtualbox.linked_clone = true



    end
  end
end